commit:     fabd32cb555f7ad73efb72899300d8bee300f230
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 11 04:22:26 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Jan 11 05:14:10 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fabd32cb

dev-python/coverage: Bump to 7.0.5

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/coverage/Manifest              |  1 +
 dev-python/coverage/coverage-7.0.5.ebuild | 78 +++++++++++++++++++++++++++++++
 2 files changed, 79 insertions(+)

diff --git a/dev-python/coverage/Manifest b/dev-python/coverage/Manifest
index 3d4cd930f330..58d7b87d2a1e 100644
--- a/dev-python/coverage/Manifest
+++ b/dev-python/coverage/Manifest
@@ -4,3 +4,4 @@ DIST coverage-7.0.1.tar.gz 781226 BLAKE2B 
52da1dd6f3eae7d235a597d3dd24d4042ee1ee
 DIST coverage-7.0.2.tar.gz 789237 BLAKE2B 
6a83b6736374679e855eefc99488eea8f4fa8b785bbff6455c6087a03b3d074d200b219fb7f9eaaa08824b9b37363861d02f0ca0cd157adf285b1e2e7bec92a2
 SHA512 
d2981951517ac1efe08df4f19931dd581fc1877d7095003ae1b0c63e10b388238bc793823471c5ac3243f6b46e9284057f3e569a14dc972dcaf342768da9d73e
 DIST coverage-7.0.3.tar.gz 790351 BLAKE2B 
0e0e2e0dfd6773bf78318b63400c6ba15b8218590d9d2c99666a2d6bb41745aa7d00b7c32879eabf9c0f6a2e3831637970fd8ea308a50befd526f2e0aafb6867
 SHA512 
6a298aa7fdf460277e85174fe930bf4dcdabfa57b753adda2d4b8381cd61c2e22700d287fefa16f098de318e6d79849c4db85a6d9f6e069f0acd5ce6ac93f154
 DIST coverage-7.0.4.tar.gz 794474 BLAKE2B 
4c3e2e53a3a5bd55d2ba8c409a1983e96ca7ace33d69052f4e44c27d53e3732513a35c7e3e553fceffe06d5c9d664f548ce59ca171b210dafc88e6a7eb657d3b
 SHA512 
f3f895af4d91a796b8ebc360ad116b78acf71a0f55cc1439a203440241e896f6666d9eccdb69f2cfb8162275755137356cb8b1df6504faa51f0a026d694abceb
+DIST coverage-7.0.5.tar.gz 796171 BLAKE2B 
87ecffd87c2465607bf1fd330296e84e174953d7696ee0ef3046f6555f54634cfc643ada2a03971685021a5cf59191d75a0bddbc83f736e11a2516c684b0f0d9
 SHA512 
d199d710cdfac5c6cde79224b4a27d6b88a0e0c504eff7ad5700e9fb1f5cc8e1e9359dcc12f6c447a7ee6cd680feeb89f70ad68574a739c55a6d09b22017df06

diff --git a/dev-python/coverage/coverage-7.0.5.ebuild 
b/dev-python/coverage/coverage-7.0.5.ebuild
new file mode 100644
index 000000000000..ed343a56f333
--- /dev/null
+++ b/dev-python/coverage/coverage-7.0.5.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Code coverage measurement for Python"
+HOMEPAGE="
+       https://coverage.readthedocs.io/en/latest/
+       https://github.com/nedbat/coveragepy/
+       https://pypi.org/project/coverage/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+RDEPEND="
+       $(python_gen_cond_dep '
+               dev-python/tomli[${PYTHON_USEDEP}]
+       ' 3.{8..10})
+"
+BDEPEND="
+       test? (
+               dev-python/flaky[${PYTHON_USEDEP}]
+               dev-python/hypothesis[${PYTHON_USEDEP}]
+               dev-python/pytest-xdist[${PYTHON_USEDEP}]
+               >=dev-python/unittest-mixins-1.4[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       sed -i -e '/^addopts/s:-q -n auto::' setup.cfg || die
+       distutils-r1_src_prepare
+}
+
+test_tracer() {
+       local -x COVERAGE_TEST_TRACER=${1}
+       einfo "  Testing with the ${COVERAGE_TEST_TRACER} tracer ..."
+       epytest tests
+}
+
+python_test() {
+       local EPYTEST_IGNORE=(
+               # pip these days insists on fetching build deps from Internet
+               tests/test_venv.py
+       )
+
+       "${EPYTHON}" igor.py zip_mods || die
+
+       local -x COVERAGE_TESTING=True
+       # TODO: figure out why they can't be imported inside test env
+       local -x COVERAGE_NO_CONTRACTS=1
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       local -x 
PYTEST_PLUGINS=_hypothesis_pytestplugin,flaky.flaky_pytest_plugin,xdist.plugin
+
+       local prev_opt=$(shopt -p nullglob)
+       shopt -s nullglob
+       local c_ext=( "${BUILD_DIR}/install$(python_get_sitedir)"/coverage/*.so 
)
+       ${prev_opt}
+
+       if [[ -n ${c_ext} ]]; then
+               cp "${c_ext}" \
+                       coverage/ || die
+               test_tracer c
+               rm coverage/*.so || die
+       else
+               test_tracer py
+       fi
+}

Reply via email to